fn main() {
    println!("{:?}", calEVlas(-5.0, -7.0, 2.0, 4.0));
}

fn calEVlas(a: f32, b: f32, c: f32, d: f32) -> Vec<f32> {
    let trace = a + d;
    let determinant = (a * d) - (b * c);
    println!("{determinant}");
    let discri = (trace.powi(2)) - (4.0 * determinant);
    println!("{discri}");
    let x1 = (-trace + (discri.powf(0.5))) / 2.0;
    let x2 = (-trace - (discri.powf(0.5))) / 2.0;
    return vec![x1, x2];
}
